Bug 967419 - bacula2 included non-free code
bacula2 included non-free code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bacula2 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-05-27 00:55 EDT by mejiko
Modified: 2013-10-19 08:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: bacula2-2.4.4-15.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-05 22:21:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 658326 None None None Never
GNU Savannah 35854 None None None Never

  None (edit)
Description mejiko 2013-05-27 00:55:55 EDT
Hello.

SRC RPM is: "bacula2-2.4.4-13.fc18.src.rpm"

bacula included non-free code.


Files:

bacula-2.4.4/src/lib/sha1.*

This code license is "freely distributable", but do not allow modify.
Its non-free.


Suggests:

1. remove non-free code and rebuild.
2. replace fedora free (acceptable licensed) files.
3. remove fedora repos.


Thanks.


Reference:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=658326
https://savannah.nongnu.org/bugs/?35854
Comment 1 mejiko 2013-05-27 00:56:39 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Fedora Update System 2013-05-28 08:58:57 EDT
bacula2-2.4.4-15.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bacula2-2.4.4-15.fc19
Comment 3 Fedora Update System 2013-05-28 08:59:06 EDT
bacula2-2.4.4-15.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bacula2-2.4.4-15.fc18
Comment 4 Fedora Update System 2013-05-28 12:13:58 EDT
Package bacula2-2.4.4-15.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bacula2-2.4.4-15.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9448/bacula2-2.4.4-15.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-05 22:21:12 EDT
bacula2-2.4.4-15.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-19 00:32:31 EDT
bacula2-2.4.4-15.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.